@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;700&display=swap');

body {
  font-family: 'Poppins', sans-serif;
  margin: 0;
}

main {
  background: #f7f7f9;
  padding-top: 75px;
}

button:enabled {
  background: none;
  color: #396df2;
}

button:hover {
  background: #5161f1;
  color: white;
}

button:active {
  background: #081dda;
  color: white;
}

button:disabled {
  background: #ebebff;
  color: black;
}

.header {
  position: fixed;
  width: 95vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 13px 24px;
  background-color: #fff;
  box-shadow: 0 2px 6px 0 rgb(0 0 0 / 5%), 0 2px 15px 0 rgb(0 0 0 / 15%);
}

.header-logo {
  font-style: normal;
  font-weight: 700;
  font-size: 18px;
  line-height: 20px;
  color: #5161f1;
  text-decoration: none;
  transition: transform 1s;
}

.header-logo:hover {
  transform: rotate(100deg);
}

.hamburger-btn {
  border: none;
}

nav ul {
  display: flex;
  list-style: none;
}

.mobile-menu {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: #1d2fd5;
  transition: 200ms ease-in-out;
  transform: scale(0);
  z-index: 10;
}

.menu-bar {
  list-style: none;
  color: #fff;
  font-style: normal;
  font-weight: 500;
  font-size: 15px;
  line-height: 20px;
  justify-content: space-between;
}

.project-detail-article {
  margin: 30px;
  height: 90vh;
}

.project-detail {
  height: 100vh;
  width: 100vw;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  transition: 200ms ease-in-out;
  transform: scale(0);
  z-index: 10;
}

.project-detail-background {
  position: absolute;
  background-color: #446089;
  opacity: 0.8;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: -1;
}

.project-detail.active {
  transform: scale(1);
}

.mobile-menu.active {
  transform: scale(1);
}

.mobile-menu-header {
  display: flex;
  justify-content: flex-end;
}

.mobile-menu ul {
  list-style: none;
  color: #fff;
  font-style: normal;
  font-weight: 600;
  font-size: 35px;
  line-height: 53px;
}

.mobile-menu-list a {
  color: white;
  text-decoration: none;
}

.close-button-project {
  border: none;
  cursor: pointer;
  outline: none;
  background: none;
  font-size: 2.25rem;
  font-weight: lighter;
}

.close-button-project:enabled {
  color: black;
}

.close-button {
  border: none;
  cursor: pointer;
  outline: none;
  background: none;
  font-size: 2.25rem;
  font-weight: bold;
  padding: 30px;
}

.close-button:enabled {
  color: white;
}

.only-menu {
  display: none;
}

.only-mobile {
  display: block;
}

.only-desktop {
  display: none;
}

.connect {
  color: #7f8cff;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
}

.headline {
  color: #172b4d;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
}

.headline-text {
  font-weight: normal;
  font-style: normal;
  font-size: 16px;
  margin-top: -20px;
  color: #344563;
  line-height: 24px;
}

#headline-section {
  background: url("./Images/header-shapes-mobile@2x.svg");
  background-repeat: no-repeat;
  background-size: cover;
  padding: 100px 25px;
  background-color: #fff;
  border-bottom-left-radius: 80px;
}

nav ul li {
  padding: 0 30px;
}

.social-media-icons ul {
  display: flex;
  justify-content: flex-start;
  padding-left: 0;
  padding-right: 14px;
  align-items: center;
}

.social-media-icons li {
  list-style: none;
  padding-right: 20px;
}

.flex {
  display: flex;
  flex-direction: column;
}

#work-section {
  display: grid;
  padding: 110px 20px 15px 20px;
}

.work-container {
  display: flex;
  flex-direction: column;
  background: white;
  border: 1px solid #dfe1e6;
  box-sizing: border-box;
  border-radius: 16px;
  padding: 16px;
  margin-bottom: 90px;
  gap: 10px;
}

.work-img {
  background-repeat: no-repeat;
  height: 230px;
  width: 295px;
  border-radius: 8px;
  box-shadow: 0 2px 10px -5px;
  transition: transform 1s;
}

.work-description p {
  color: #344563;
  margin-top: -5px;
  font-size: 15px;
  font-weight: normal;
}

.work-description h3 {
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  line-height: 44px;
  color: #172b4d;
}

.img-one {
  background: url("./Images/Portfolio.png");
  background-size: cover;
  border-radius: 8px;
}

.img-two {
  background: url("./Images/Portfolio2.png");
  background-size: cover;
}

.img-three {
  background: url("./Images/Portfolio3.png");
  background-size: cover;
}

.img-four {
  background: url("./Images/Portfolio4.png");
  background-size: cover;
}

.work-img:hover {
  transition: transform 0.75s;
  transform: scale(1.07);
}

#work-section h2 {
  margin: 0;
}

.client-des {
  display: flex;
  margin-top: -7px;
}

.client-des ul {
  padding: 0;
  padding-right: 25px;
  font-size: 13px;
  color: #7a869a;
}

.client-name li {
  list-style: none;
  color: #344563;
  font-size: 14px;
}

.buttons {
  padding: 0;
}

.buttons button {
  background: #ebebff;
  border-radius: 8px;
  border: none;
  padding: 4px 12px;
  color: #3446e5;
  font-weight: 500;
  font-size: 13px;
  line-height: 16px;
}

.buttons li {
  list-style: none;
  display: inline;
}

.work-info {
  color: #344563;
}

.see-project-btn {
  padding: 12px;
  border-radius: 8px;
  top: calc(50% - 48px / 2);
  background: none;
  color: #396df2;
  border: 1px solid #396df2;
  font-weight: 400;
  font-size: 15px;
  margin-top: 0;
  width: 110px;
}

.get-my-resume-btn {
  padding: 12px;
  border-radius: 8px;
  top: calc(50% - 48px / 2);
  background: none;
  color: #396df2;
  border: 1px solid #396df2;
  font-weight: 400;
  font-size: 15px;
  margin-top: 0;
  width: 130px;
}

#about-section {
  background: white;
  background-repeat: no-repeat;
  background-size: contain;
  padding: 114px 24px;
  border-top-right-radius: 80px;
}

#about-section h2 {
  font-weight: 700;
  font-size: 50px;
  color: #172b4d;
  line-height: 52px;
  margin-top: 0;
}

#about-section .social-media-icons {
  padding-left: 11px;
}

.about-section h3 {
  color: #7f8cff;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
}

.language {
  display: flex;
  justify-content: space-between;
  padding: 10px;
}

.categories li {
  list-style: none;
}

.categories {
  padding: 0;
}

.categories ul {
  padding: 0;
}

.categories button {
  width: 100%;
  display: flex;
  height: 67px;
  align-items: center;
  font-size: 15px;
  font-weight: 500;
  color: #253858;
  background: #f7f7f9;
  border: none;
  border-radius: 9px;
  margin-bottom: 10px;
}

.categories button:hover {
  background: #ebebff;
}

.categories img {
  padding: 9px 16px 9px 2px;
}

#contact-form {
  display: flex;
  flex-direction: column;
  background: url("./Images/contact-form-shapes-mobile.svg");
  background-repeat: no-repeat;
  background-position: 22vmax;
  background-color: #5161f1;
  background-size: 58%;
  padding: 60px 50px;
  border-top-left-radius: 80px;
  text-align: center;
  align-items: center;
}

.form {
  display: flex;
  flex-direction: column;
  gap: 18px;
  max-width: 100%;
}

.contact-text {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#contact-form h2 {
  font-style: normal;
  font-weight: bold;
  font-size: 40px;
  line-height: 52px;
  color: white;
  margin-bottom: 15px;
}

#contact-form p {
  font-style: normal;
  font-weight: lighter;
  font-size: 20px;
  line-height: 28px;
  color: #fff;
  margin-top: 0;
  max-width: 400px;
}

form input {
  font-size: 17px;
  line-height: 20px;
  border-radius: 8px;
  border: none;
  padding: 15px 38px 15px 16px;
}

form textarea {
  border-radius: 8px;
  border: none;
  padding: 15px 38px 15px 16px;
  color: #b3bac5;
  font-style: normal;
  font-weight: normal;
  font-size: 15px;
  line-height: 24px;
  font-family: 'Poppins', sans-serif;
}

#contact-form form button:enabled {
  height: 48px;
  width: 130px;
  background: white;
  border-radius: 8px;
  border: none;
  padding: 12px 16px;
  color: #5161f1;
  font-weight: 500;
  font-size: 15px;
  line-height: 16px;
}

#contact-form form button:hover {
  background: #5161f1;
  color: white;
}

#contact-form form button:active {
  background: #081dda;
  color: white;
}

#contact-form form button:disabled {
  background: #ebebff;
  color: black;
}

@media screen and (min-width: 768px) {
  header {
    display: flex;
    padding: 10px 70px;
    align-items: center;
    background-color: #fff;
  }

  #headline-section {
    background: url("./Images/Header-bg@2x.svg");
    background-repeat: no-repeat;
    background-size: contain;
    height: 70vh;
    padding: 160px 150px 90px 130px;
    text-align: left;
    border-bottom-left-radius: 20%;
    background-color: #fff;
  }

  .header-logo {
    position: relative;
    left: 143px;
  }

  #contact-form {
    background: url("./Images/contact-form-desktop-bg-shapes@2x.svg");
    background-repeat: no-repeat;
    background-size: contain;
    background-color: #5161f1;
    padding: 90px 150px;
    border-top-left-radius: 20%;
  }

  .only-mobile {
    display: none;
  }

  .only-desktop {
    display: block;
  }

  .menu-bar {
    display: flex;
    gap: 8px;
  }

  .menu-bar li a {
    text-decoration: none;
    color: #344563;
  }

  .footer {
    display: none;
  }

  #work-section {
    display: grid;
    padding: 50px 180px;
  }

  .work-container {
    height: auto;
    margin: 50px;
  }

  .work-img {
    background-repeat: no-repeat;
    width: 50%;
    height: 100%;
    display: flex;
    border-radius: 8px;
    transition: transform 1s;
  }

  .img-one {
    background: url("./Images/Portfolio.png");
    background-size: cover;
  }

  .img-two {
    background: url("./Images/Portfolio2.png");
    background-size: cover;
  }

  .img-three {
    background: url("./Images/Portfolio3.png");
    background-size: cover;
  }

  .img-four {
    background: url("./Images/Portfolio4.png");
    background-size: cover;
  }

  .work-img:hover {
    transform: scale(1.04);
  }

  .work-description {
    display: flex;
    flex-direction: column;
    width: 50%;
    padding: 20px;
  }

  .flex {
    flex-direction: row;
  }

  .project-flex {
    flex-direction: column;
  }

  .row-reverse {
    flex-direction: row-reverse;
  }

  .about-section-text {
    padding: 10px 60px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex: 0.5;
  }

  .about-section-skill {
    padding-right: 30px;
    flex: 0.5;
  }

  .about-lang-skills {
    display: flex;
    gap: 10px;
  }

  .about-lang-skills li button {
    display: flex;
    flex-direction: column;
    height: 110px;
    gap: 10px;
  }

  #contact-form p {
    max-width: 450px;
  }

  .form {
    width: 450px;
  }

  .project-detail {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
  }

  .project-detail-article {
    height: 85vh;
    width: 50vw;
    margin-bottom: 5%;
  }

  .project-detail-work-description,
  .project-detail-buttons {
    display: flex;
  }

  .project-detail-work-description {
    font-size: 15px;
    padding-top: 20px;
    line-height: 30px;
  }

  .project-detail-tech-btns {
    display: flex;
    flex-direction: column;
    margin-left: 30px;
  }

  .project-detail-buttons li {
    margin-right: 15px;
  }
}

.fixed_postion {
  position: fixed;
  filter: blur(8px);
}

.hide {
  display: none;
}

.fixed_headline {
  position: fixed;
  filter: blur(12px);
}

.see-source {
  display: flex;
  width: 135px;
  margin-right: 20px;
}

.see-source-img {
  padding-left: 15px;
}

.project-detail-work-description {
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 15px;
  color: #344563;
}

.project-detail-buttons li {
  margin-right: 10px;
}

.project-detail-buttons {
  display: flex;
}

.project-detail-buttons a {
  text-decoration: none;
}

.project-detail-header {
  display: flex;
  justify-content: space-between;
  color: #091e42;
}

form small {
  color: red;
  font-size: 15px;
}

.navbar {
  min-height: 70px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 24px;
}

.nav-menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 60px;
}

.nav-link {
  transition: 0.7s ease;
}

.hamburger {
  display: none;
  cursor: pointer;
}

.bar {
  display: block;
  width: 25px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: #6070ff;
}

@media (max-width: 768px) {
  .hamburger {
    display: block;
  }

  .nav-link {
    color: #fff;
    font-weight: 600;
    font-size: 32px;
    line-height: 44px;
    text-decoration: none;
  }

  .hamburger.active .bar:nth-child(2) {
    opacity: 0;
  }

  .hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
    background-color: #fff;
  }

  .hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
    background-color: #fff;
  }

  .nav-menu {
    position: fixed;
    left: 100%;
    padding-top: 106px;
    align-items: flex-start;
    justify-content: flex-start;
    top: -20px;
    gap: 0;
    flex-direction: column;
    width: 100%;
    text-align: center;
    transition: 0.3s;
    background-color: rgba(96, 112, 255, 95%);
    mix-blend-mode: multiply;
    backdrop-filter: blur(20px);
    height: 50rem;
  }

  .nav-item {
    margin: 16px 0;
  }

  .nav-menu.active {
    left: -20px;
  }
}
